<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InventoryDetailSearchBasic StructType
 * @subpackage Structs
 */
class InventoryDetailSearchBasic extends SearchRecordBasic
{
    /**
     * The binNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $binNumber;
    /**
     * The externalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $externalId;
    /**
     * The externalIdString
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $externalIdString;
    /**
     * The internalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $internalId;
    /**
     * The internalIdNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $internalIdNumber;
    /**
     * The inventoryNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $inventoryNumber;
    /**
     * The quantity
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $quantity;
    /**
     * The status
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $status;
    /**
     * Constructor method for InventoryDetailSearchBasic
     * @uses InventoryDetailSearchBasic::setBinNumber()
     * @uses InventoryDetailSearchBasic::setExternalId()
     * @uses InventoryDetailSearchBasic::setExternalIdString()
     * @uses InventoryDetailSearchBasic::setInternalId()
     * @uses InventoryDetailSearchBasic::setInternalIdNumber()
     * @uses InventoryDetailSearchBasic::setInventoryNumber()
     * @uses InventoryDetailSearchBasic::setQuantity()
     * @uses InventoryDetailSearchBasic::setStatus()
     * @param \StructType\SearchMultiSelectField $binNumber
     * @param \StructType\SearchMultiSelectField $externalId
     * @param \StructType\SearchStringField $externalIdString
     * @param \StructType\SearchMultiSelectField $internalId
     * @param \StructType\SearchLongField $internalIdNumber
     * @param \StructType\SearchMultiSelectField $inventoryNumber
     * @param \StructType\SearchDoubleField $quantity
     * @param \StructType\SearchMultiSelectField $status
     */
    public function __construct(\StructType\SearchMultiSelectField $binNumber = null, \StructType\SearchMultiSelectField $externalId = null, \StructType\SearchStringField $externalIdString = null, \StructType\SearchMultiSelectField $internalId = null, \StructType\SearchLongField $internalIdNumber = null, \StructType\SearchMultiSelectField $inventoryNumber = null, \StructType\SearchDoubleField $quantity = null, \StructType\SearchMultiSelectField $status = null)
    {
        $this
            ->setBinNumber($binNumber)
            ->setExternalId($externalId)
            ->setExternalIdString($externalIdString)
            ->setInternalId($internalId)
            ->setInternalIdNumber($internalIdNumber)
            ->setInventoryNumber($inventoryNumber)
            ->setQuantity($quantity)
            ->setStatus($status);
    }
    /**
     * Get binNumber value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getBinNumber()
    {
        return $this->binNumber;
    }
    /**
     * Set binNumber value
     * @param \StructType\SearchMultiSelectField $binNumber
     * @return \StructType\InventoryDetailSearchBasic
     */
    public function setBinNumber(\StructType\SearchMultiSelectField $binNumber = null)
    {
        $this->binNumber = $binNumber;
        return $this;
    }
    /**
     * Get externalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getExternalId()
    {
        return $this->externalId;
    }
    /**
     * Set externalId value
     * @param \StructType\SearchMultiSelectField $externalId
     * @return \StructType\InventoryDetailSearchBasic
     */
    public function setExternalId(\StructType\SearchMultiSelectField $externalId = null)
    {
        $this->externalId = $externalId;
        return $this;
    }
    /**
     * Get externalIdString value
     * @return \StructType\SearchStringField|null
     */
    public function getExternalIdString()
    {
        return $this->externalIdString;
    }
    /**
     * Set externalIdString value
     * @param \StructType\SearchStringField $externalIdString
     * @return \StructType\InventoryDetailSearchBasic
     */
    public function setExternalIdString(\StructType\SearchStringField $externalIdString = null)
    {
        $this->externalIdString = $externalIdString;
        return $this;
    }
    /**
     * Get internalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInternalId()
    {
        return $this->internalId;
    }
    /**
     * Set internalId value
     * @param \StructType\SearchMultiSelectField $internalId
     * @return \StructType\InventoryDetailSearchBasic
     */
    public function setInternalId(\StructType\SearchMultiSelectField $internalId = null)
    {
        $this->internalId = $internalId;
        return $this;
    }
    /**
     * Get internalIdNumber value
     * @return \StructType\SearchLongField|null
     */
    public function getInternalIdNumber()
    {
        return $this->internalIdNumber;
    }
    /**
     * Set internalIdNumber value
     * @param \StructType\SearchLongField $internalIdNumber
     * @return \StructType\InventoryDetailSearchBasic
     */
    public function setInternalIdNumber(\StructType\SearchLongField $internalIdNumber = null)
    {
        $this->internalIdNumber = $internalIdNumber;
        return $this;
    }
    /**
     * Get inventoryNumber value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInventoryNumber()
    {
        return $this->inventoryNumber;
    }
    /**
     * Set inventoryNumber value
     * @param \StructType\SearchMultiSelectField $inventoryNumber
     * @return \StructType\InventoryDetailSearchBasic
     */
    public function setInventoryNumber(\StructType\SearchMultiSelectField $inventoryNumber = null)
    {
        $this->inventoryNumber = $inventoryNumber;
        return $this;
    }
    /**
     * Get quantity value
     * @return \StructType\SearchDoubleField|null
     */
    public function getQuantity()
    {
        return $this->quantity;
    }
    /**
     * Set quantity value
     * @param \StructType\SearchDoubleField $quantity
     * @return \StructType\InventoryDetailSearchBasic
     */
    public function setQuantity(\StructType\SearchDoubleField $quantity = null)
    {
        $this->quantity = $quantity;
        return $this;
    }
    /**
     * Get status value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param \StructType\SearchMultiSelectField $status
     * @return \StructType\InventoryDetailSearchBasic
     */
    public function setStatus(\StructType\SearchMultiSelectField $status = null)
    {
        $this->status = $status;
        return $this;
    }
}
